package com.sheep.gamegroup.presenter;

import com.alibaba.fastjson.JSONObject;
import com.sheep.gamegroup.model.entity.BaseMessage;

import org.json.JSONException;

/**
 * Created by ljy on 2018/3/15.
 */

public interface PhoneContract {

    interface Presenter{

        void getCaptcha(String telphone) throws JSONException;
        boolean getCaptchaa(String telphone) throws JSONException;
        void loginByCaptcha(String telphone, String code);

        void switchPhone(JSONObject object);
        void bindPhone(JSONObject object);
        void smsBindMobile(JSONObject object);
    }

    interface View{
        void returnGaptcha(Object o);

        void gaptchaFail(BaseMessage o);

        void returnLogindata(Object o);

        void loginFail(BaseMessage o);

        void changeTelSuccess(BaseMessage o);
        void changeTelFail(BaseMessage o);
        void bindTelSuccess(BaseMessage o);
        void bindTelFail(BaseMessage o);
        void bindTelSmsSuccess(BaseMessage o);
        void bindTelSmsFail(BaseMessage o);
    }
}
